<div style="margin-top: 20px;">
    <div class="container">
        <div class="row maximum-width-p-list">
            <p-dataList 
                [value]="customShipment"
                [paginator]="true" 
                [rows]="itemsPerPage"
                [lazy]="true" 
                (onLazyLoad)="loadDataLazy($event)" 
                [rowsPerPageOptions]="[10,15,20]"
                [totalRecords]="totalItems">
                <p-header>
                    <div>
                        <form name="searchForm" class="form-inline">
                            <div class="input-group w-100 mt-3">
                                <input type="text" class="form-control" [(ngModel)]="filtered" id="currentSearch" name="currentSearch" placeholder="">
                                <button class="input-group-addon btn btn-info flat-style-button" (click)="filter()" *ngIf="filtered">
                                    <span class="fa fa-search"></span>
                                </button>
                                <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="filtered">
                                    <span class="fa fa-trash-o"></span>
                                </button>
                            </div>
                        </form>
                    </div>
                </p-header>
                <ng-template let-rowData pTemplate="item">
                    <a [routerLink]="['../delivery-order/'+ rowData.idOrder + '/'+ rowData.idShipment + '/'+ rowData.idSlip + '/delivery-order-detail']" (click)="gotoDetail(rowData)" style="color:black;">
                        <div class="ui-g ui-fluid border-item">
                            <div class="ui-g-6 ui-md-6">
                                <div class="ui-g-12 ui-sm-12">
                                    <div>
                                        <h5></h5>{{'mpmApp.shipmentOutgoing.labelReferenceNumber'|translate}} : {{rowData.refferenceNumber}}
                                    </div>
                                    <div *ngIf="(idInternalHere == rowData.idInternalsrc)">
                                        {{'mpmApp.shipmentOutgoing.labelSales'|translate}} : {{rowData.salesmanName}}
                                    </div>
                                    <div *ngIf="(idInternalHere == rowData.idInternalsrc)">
                                        {{'mpmApp.shipmentOutgoing.labelCustomername'|translate}} : {{rowData.nameCustomer}}
                                    </div>
                                    <div *ngIf="(idInternalHere != rowData.idInternalsrc)">
                                        Cabang Requester : {{rowData.srcInternalName}}
                                    </div>
                                    <div>
                                        {{'mpmApp.shipmentOutgoing.labelNOKA'|translate}} : {{rowData.idframe}}
                                    </div>
                                    <div>
                                        <p *ngIf="(rowData.idInventoryMovementType === 110)">Retail</p>
                                        <p *ngIf="(rowData.idInventoryMovementType === 111 || rowData.idInventoryMovementType === 112)">GC</p>
                                        <p *ngIf="(rowData.idInventoryMovementType === 113)">Direct VSO</p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </a>
                </ng-template>
            </p-dataList>
        </div>
    </div>
</div>
<div style="margin-top: 10px;"></div>